#! /bin/bash
# progress-bar2.sh
# Auteur : Graham Ewart (script remis en forme par l'auteur
#          du Guide ABS).
# Utilisé avec l'accord de l'auteur (merci !).
# Traduction : Jean-Philippe Guérard

# Lancez ce script avec bash, il ne marche pas avec sh.

intervalle=1
intervalle_long=10

{
     trap "exit" SIGUSR1
     sleep $intervalle; sleep $intervalle
     while true
     do
       echo -n '.'     # Affiche des points.
       sleep $intervalle
     done; } &amp;         # Lance la barre de progression en tâche de fond.

pid=$!
trap "echo !; kill -USR1 $pid; wait $pid"  EXIT        # Pour gérer ^C.

echo -n 'Processus long '
sleep $intervalle_long
echo ' Fini !'

kill -USR1 $pid
wait $pid              # Arrête la barre de progression.
trap EXIT

exit $?
